# $Revision: 1.18 $, $Date: 2002/10/30 21:46:37 $
Summary:	Unicode Text Editor
Summary(pl):	Edytor tekstu Unicode
Name:		yudit
Version:	2.6.4
Release:	1
Epoch:		1
License:	GPL
Vendor:		Gaspar Sinai <gsinai@yudit.org>
Group:		Applications/Editors
Source0:	http://yudit.org/download/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Yudit is a unicode text editor for the X Window System. It does not
need localized environment or unicode fonts. It supports simultanious
processing of many languages, input methods, conversions for local
character standards. This package includes X11 editor interface, shell
conversion utilities and it also has support for postscript printing.

%description -l pl
Yudit jest edytorem tekstu w standardzie unicde dla systemu X Window.
Nie wymaga zloakalizowanego rodowiska, ani fontw unicde. Wspiera
jednoczesne przetwarzanie wielu jzykw, sposobw wprowadzania tekstu,
konwersji z lokalnych standardw kodowania. Pakiet tan zawiera
interferjs edytora dla X11, narzdzia do konwersji, a take wspiera
drukowanie PostScript.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Editors,%{_pixmapsdir}}

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

install gnome-yudit.png $RPM_BUILD_ROOT%{_pixmapsdir}/yudit.png
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Editors

rm -rf doc/??/FAQ.TXT.in

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.TXT FAQ.TXT README.TXT TODO.TXT BUGS.TXT
%doc doc/*.utf8 doc/problems 
%lang(bg) %doc doc/bg
%lang(de) %doc doc/de
%lang(es) %doc doc/es
%lang(fi) %doc doc/fi
%lang(hu) %doc doc/hu
%lang(ja) %doc doc/ja
%lang(ko) %doc doc/ja
%lang(vi) %doc doc/ja
%lang(yi) %doc doc/yi
%lang(zh) %doc doc/zh

%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%dir %{_datadir}/yudit
%{_datadir}/yudit/data
%{_datadir}/yudit/fonts
%{_datadir}/yudit/src
%{_applnkdir}/Editors/yudit.desktop
%{_pixmapsdir}/yudit.png
%dir %{_datadir}/yudit/locale
%{_datadir}/yudit/locale/en
%lang(am) %{_datadir}/yudit/locale/am
%lang(ar) %{_datadir}/yudit/locale/ar
%lang(az) %{_datadir}/yudit/locale/az
%lang(bg) %{_datadir}/yudit/locale/bg
%lang(bn) %{_datadir}/yudit/locale/bn
%lang(de) %{_datadir}/yudit/locale/de
%lang(es) %{_datadir}/yudit/locale/es
%lang(fi) %{_datadir}/yudit/locale/fi
%lang(fr) %{_datadir}/yudit/locale/fr
%lang(hi) %{_datadir}/yudit/locale/hi
%lang(hu) %{_datadir}/yudit/locale/hu
%lang(ko) %{_datadir}/yudit/locale/ko
%lang(ja) %{_datadir}/yudit/locale/ja
%lang(sl) %{_datadir}/yudit/locale/sl
%lang(sr) %{_datadir}/yudit/locale/sr
%lang(ta) %{_datadir}/yudit/locale/ta
%lang(ur) %{_datadir}/yudit/locale/ur
%lang(uk) %{_datadir}/yudit/locale/uk
%lang(vi) %{_datadir}/yudit/locale/vi
%lang(yi) %{_datadir}/yudit/locale/yi
%lang(zh) %{_datadir}/yudit/locale/zh
%dir %{_datadir}/yudit/config
%config %{_datadir}/yudit/config/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: yudit.spec,v $
Revision 1.18  2002/10/30 21:46:37  ankry
- updated to 2.6.4; untested

Revision 1.17  2002/10/30 13:15:20  ankry
- desktop moved to toplevel Editors
- fixed %%doc (unfinished ?), cleaning, rel. 3

Revision 1.16  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/06/15 11:43:10  ankry
- removed %%lang(en)

Revision 1.14  2002/06/15 09:52:06  ankry
- fixed %%lang
- release 2

Revision 1.13  2002/06/06 02:07:58  kloczek
- use new %doc.

Revision 1.12  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/29 19:45:50  filon
- updated to 2.6
- updated files (new langs)

Revision 1.10  2002/03/11 07:13:22  kloczek
- updated to 2.5.4 (bugfix release),
- separate desktop file,
- regenerate ac suit.

Revision 1.9  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/20 17:13:23  filon
- updated to 2.5.2
- added some locales
- don't include second copy of docs :-)

Revision 1.6  2002/01/18 02:15:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/13 15:13:22  misiek
- updated to 2.4.8 final

Revision 1.4  2001/11/07 07:53:12  filon
- updated to beta7, builds

Revision 1.3  2001/11/06 13:51:29  wiget
typo

Revision 1.2  2001/11/06 13:27:22  filon
- added source URL, sorry, I have forgotten earlier

Revision 1.1  2001/11/04 22:12:07  filon
- original spec from package
- updated to 2.4.8beta6
- added polish description and summary
- adapted for PLD,
- great unicde editor (best with unifont font)
- STB

Based on spec by Gaspar Sinai <gsinai@yudit.org>.
